/**
 * 消息相关路由
 *
 * @author CaiAoLin
 * @date 2017/9/25
 * @version
 */
const Express = require("express");
const MessageController = require("../controllers/message_controller");

module.exports = function (app) {

    const router = Express.Router();
    const messageController = new MessageController();

    // action定义区域
    router.post('/list', messageController.init, messageController.list);
    router.post('/detail', messageController.init, messageController.detail);
    router.post('/read', messageController.init, messageController.allRead);

    app.use('/message',router);
};
